%normal
    font-style: normal
    font-weight: normal
    text-align: center
.blocking
    position: relative

    &:before
    content: ''
    display: block
    position: absolute
    left: 0
    right: 0
    top: 0
    bottom: 0
    background: #1c36519c

.form-block
    width: 100%
    max-width: 335px
    margin: 0 auto
    background: linear-gradient(291.36deg, #1C3550 -2.66%, #204060 100%)
    border-radius: 10px
    border: 1px solid #60748A
    color: #fff
    overflow: hidden
    position: relative
    z-index: 1

    &__submit
        margin: 43px 0 24px

    &__error-message
        margin-top: 12px

    &.form-block--send
        position: relative
        &:before
            content: ''
            display: block
            position: absolute
            left: 0
            right: 0
            top: 0
            bottom: 0
            background: #1c36519c
            z-index: 800


    &__wrapper-autocomplete
        position: relative
    &__wrapper-input
        margin-bottom: 24px
        &--relative
            position: relative

    &__eye
        position: absolute
        right: 0
        top: 10px
        background-repeat: no-repeat
        background-position: center center
        background-size: cover
        width: 25px
        height: 15px
        &--close
            background-image: url('~icons/eye-close.svg')
        &--open
            background-image: url('~icons/eye-open.svg')

    &__header
        @extend %normal
        padding: 18px
        text-transform: uppercase
        font-size: 16px
        line-height: 1.3
        background: #1C3651
        position: relative

    &__button-back
        width: 9px
        height: 19px
        display: block
        -webkit-box-sizing: content-box
        box-sizing: content-box
        padding: 5px
        background: url(/img/arrow_leng.96fad5bb.svg) no-repeat center/15px 15px
        transform: scaleX(-1)
        position: absolute
        top: 13px
        left: 20px

    &__content
        padding: 32px 18px 44px

        p
            font-style: normal
            font-weight: 300
            font-size: 16px
            line-height: 21px
            color: #FFFFFF
            margin-bottom: 28px

    &__description
        font-style: normal !important
        font-weight: 300 !important
        font-size: 14px !important
        line-height: 1.4 !important
        color: #FFFFFF !important
        opacity: 0.6 !important
        margin-bottom: 26px !important
        margin-top: -12px

    &__authentication
        @extend %normal
        font-size: 16px
        line-height: 1.4
        color: #FFFFFF
        text-transform: uppercase

    &__authentication.hr
        padding-bottom: 32px
        border-bottom: 1px solid #193047
        margin-bottom: 24px

    &__partner
        display: flex
        flex-wrap: wrap
        align-items: center
        justify-content: space-around

        p
            @extend %normal
            font-size: 16px
            line-height: 19px
            color: #FFFFFF
            margin-bottom: 20px

    &__section-partner
        width: 100%
        display: flex
        align-items: center
        justify-content: space-between
        flex-wrap: wrap

    &__partner-button
        display: flex
        border: 1px solid #4E76A1
        text-align: center
        width: 140px
        border-radius: 30px
        margin-bottom: 15px
        transition: all .2s ease
        height: 50px

        &:hover
            background: #5EDBFF
            box-shadow: 0px 0px 6px #08BDF1

    &__partner-icon
        display: block
        margin: auto
        min-height: 19px
        object-fit: contain
        object-position: center
        transition: all .2s ease

        &:hover path
            fill: #1C3652

    &__partner-error
        margin-top: -5px
        color: #e62020
        font-style: normal
        font-weight: 300
        font-size: 14px
        line-height: 18px
        text-align: center

.bg-white
    background: #fff

.partner-input-field, .partner-input-field input
    margin-bottom: 23px

.partner-button-block
    margin: 36px 0 24px

    input
        display: inline

.error-text
    margin-top: -12px
    font-style: normal
    font-weight: 300
    font-size: 14px
    line-height: 18px
    text-align: center
    color: #FF9B9B
    margin-bottom: 20px



@media screen and (max-height: 890px)
    .section
        margin: 40px 0 80px